<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:g="http://www.ihe.net/gazelle"
                xmlns:h="http://java.sun.com/jsf/html" xmlns:f="http://java.sun.com/jsf/core"
                xmlns:rich="http://richfaces.org/rich" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:a4j="http://richfaces.org/a4j" xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns="http://www.w3.org/1999/xhtml" template="//layout/template.xhtml">
    <ui:define name="body">
        <h:form id="globalForm">
            #{validationParametersManager.getValidationParametersFromUrl()}
            <h1>#{messages['gazelle.HL7Common.ViewValidationParameters']}</h1>
            <ui:decorate template="/layout/panels/_panel_title_footer.xhtml">
                <ui:define name="panel_title">#{messages['gazelle.HL7Common.ValidationParameters']}</ui:define>

                <div id="displayValidationParameters">
                    <div class="row">
                        <dl class="dl-horizontal">
                            <div class="col-lg-6">
                                <s:decorate template="/layout/display/_data_list_item.xhtml">
                                    <ui:define name="label">#{messages['gazelle.HL7Common.ID']}</ui:define>
                                    <h:outputText value="#{validationParametersManager.validationParameters.id}"/>
                                </s:decorate>
                            </div>
                            <div class="col-lg-6">
                                <s:decorate template="/layout/display/_data_list_item.xhtml">
                                    <ui:define name="label">#{messages['gazelle.HL7Common.MessageType']}</ui:define>
                                    <h:outputText
                                            value="#{validationParametersManager.validationParameters.messageType}"/>
                                </s:decorate>
                            </div>
                        </dl>
                    </div>

                    <div class="row">
                        <dl class="dl-horizontal">
                            <div class="col-lg-6">
                                <s:decorate template="/layout/display/_data_list_item.xhtml">
                                    <ui:define name="label">#{messages['gazelle.HL7Common.ProfileOID_2']}</ui:define>
                                    <h:outputText
                                            value="#{validationParametersManager.validationParameters.profileOID}"/>
                                </s:decorate>
                            </div>
                            <div class="col-lg-6">
                                <s:decorate template="/layout/display/_data_list_item.xhtml">
                                    <ui:define name="label">#{messages['gazelle.HL7Common.Transaction']}</ui:define>
                                    <h:outputText
                                            value="[#{validationParametersManager.validationParameters.transaction.keyword}] #{validationParametersManager.validationParameters.transaction.name}"/>
                                </s:decorate>
                            </div>
                        </dl>
                    </div>

                    <div class="row">
                        <dl class="dl-horizontal">
                            <div class="col-lg-6">
                                <s:decorate template="/layout/display/_data_list_item.xhtml">
                                    <ui:define name="label">#{messages['gazelle.HL7Common.Actor']}</ui:define>
                                    <h:outputText
                                            value="[#{validationParametersManager.validationParameters.actor.keyword}] #{validationParametersManager.validationParameters.actor.name}"/>
                                </s:decorate>
                            </div>
                            <div class="col-lg-6">
                                <s:decorate template="/layout/display/_data_list_item.xhtml">
                                    <ui:define name="label">#{messages['gazelle.hl7.Domain']}</ui:define>
                                    <h:outputText
                                            value="[#{validationParametersManager.validationParameters.domain.keyword}] #{validationParametersManager.validationParameters.domain.name}"/>
                                </s:decorate>
                            </div>
                        </dl>
                    </div>

                    <div class="row">
                        <dl class="dl-horizontal">
                            <div class="col-lg-6">
                                <s:decorate template="/layout/display/_data_list_item.xhtml">
                                    <ui:define name="label">#{messages['gazelle.HL7Common.ValidatorType']}</ui:define>
                                    <h:outputText
                                            value="#{validationParametersManager.validationParameters.validatorType}"/>
                                </s:decorate>
                            </div>
                            <div class="col-lg-6">
                                <s:decorate template="/layout/display/_data_list_item.xhtml">
                                    <ui:define name="label">#{messages['gazelle.HL7Common.JAVAPackage']}</ui:define>
                                    <h:outputText
                                            value="#{validationParametersManager.validationParameters.javaPackage}"/>
                                </s:decorate>
                            </div>
                        </dl>
                    </div>
                </div>
                <ui:define name="panel_footer">
                    <a4j:commandButton onclick="history.back();"
                                       value="#{messages['gazelle.HL7Common.BackToList']}" styleClass="gzl-btn"/>
                </ui:define>
            </ui:decorate>
        </h:form>
    </ui:define>
</ui:composition>